Subject: RE: Optical IP activities

From: CATANZARITI Sergio FTR&D/TI <[email-masked]>
Date: Thu, 16 Mar 2000 11:44:02 -0800

I do believe that the problem, raised by Curtis, of low grade of
reliability of network state information in the optical case is an example
on how it is still premature to choose a specific network model without
having first understood all the issues around existing (and enhanced)
protocol and mechanisms that would be necessary in the automatic optical
switched networks vs. permanent/semi-permanent ones, source-routing vs.
static routing, and so on. In a way, all that is orthogonal to the specific
model. So, let us focus first on solving problems and adapting/enhancing
protocol machinery (if possible), like draft-ceuppens-mpls-optical-00.txt
draft tries to do it, and then focus on the model, not ignoring the fact
that the operators PMO (present mode of operations), and other
business/commercial issues, will have huge impact on the endorsement of the
model (like it happened in the IP over ATM case).

      Sergio

     P.S. Why are you (and so do I accordingly) not CCing the IP over Optics
BoF list? Any specific reason?

> --------------------------------------------------------------------
> Sergio Catanzariti
> Senior Project Manager, Technology Integration
> France Telecom R&D 
> 1000 Marina Boulevard Suite 300 
> Brisbane CA 94005
> Tel. 650-875-1526
> Fax. 650-875-1505
> email:[email-masked] 
> --------------------------------------------------------------------
> 
> 
> -----Original Message-----
> From:	John Drake [SMTP:[email-masked]]
> Sent:	Thursday, March 16, 2000 11:23 AM
> To:	[email-masked]'; Yakov Rekhter
> Cc:	[email-masked]; 'CATANZARITI Sergio FTR&D/TI'; 'Chip Sharp';
> [email-masked]
> Subject:	RE: Optical IP activities 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 
> 	Title		: Performance Monitoring in Photonic Networks in
> support
>                           of MPL(ambda)S
> 	Author(s)	: L. Ceuppens, D. Blumenthal,  J. Drake,
>                           J. Chrostowski, W. Edwards
> 	Filename	: draft-ceuppens-mpls-optical-00.txt
> 	Pages		: 11
> 	Date		: 10-Mar-00
> 	
> Realizing the important role that photonic switches can play in 
> data-centric networks, work has been going on within the IETF to 
> combine the control plane of MPLS (more specifically traffic 
> engineering) with the point-and-click provisioning capabilities of 
> photonic switches [1]. This document outlines a proposal to expand 
> this initiative to include DWDM, OADM and ATM systems. It also 
> proposes to expand the work beyond simple establishment of optical 
> paths and include optical performance monitoring and management. The 
> combined path routing and performance information that will be 
> carried and shared between these network elements will allow the 
> elements or element management system (EMS) to adequately assess the 
> 'health' of an optical path (which can be a wavelength or fiber 
> strand). The routers and/or ATM switches at the edges of the 
> photonic network will then use this information to dynamically 
> manage the millions of wavelengths available in the photonic layer.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ceuppens-mpls-optical-00.txt
> 
> 
> -----Original Message-----
> From: Curtis Villamizar [mailto:[email-masked]]
> Sent: Thursday, March 16, 2000 11:04 AM
> To: Yakov Rekhter
> Cc: [email-masked]; 'CATANZARITI Sergio FTR&D/TI'; 'Chip Sharp';
> [email-masked]
> Subject: Re: Optical IP activities 
> 
> 
> 
> In message <[email-masked]>, Yakov Rekhter writes:
> > John,
> > 
> > > I'd like to reinforce these concerns. It seems to me that defining the
> > > scope of this work to cover only peer-to-peer models of router/OXC
> > > interactions would drastically limit its value in the short-to-medium
> > > term at least. Similarly with disclosure of physical topology
> > > information. Recent OIF contributions from many of the principal
> > > players suggest that further study of these issues before limiting
> work
> > > to a single model  is needed, as does draft
> > > draft-rstb-optical-signaling-framework-00.txt.
> > 
> > I would assume that the same control plane based on MPLS TE could be
> > used to support both the peer and the overlay model (as well as a
> mixture
> > of both).  With this in mind I would suggest that the MPLS WG should
> > focus on defining the extension to the current MPLS TE protocols (ISIS,
> > OSPF, RSVP, CR-LDP) to handle Optical LSRs and SDH-LSRs.
> > 
> > Yakov.
> 
> 
> [Disclaimer: I'm guessing at other people's objections so apply a
> large grain of salt unless confirmed.]
> 
> I'm guessing that some of the objections to using MPLS as a means to
> control the optical crossconnects come from the prolems of attenuation
> and signal degradation (dispersion, etc) that are cummulative.
> Determining whether an LSP path is feasible may not be a simple as
> checking the bandwidth constraints on the legs of the path if there
> are no OEO conversions at the hops.
> 
> If that is what John was getting at, then John may be trying to tell
> us that it is premature to try to come up with means to quantify the
> restrictions imposed by attenuation and signal degradation such that
> the ingress can reliably predict LSP path feasibility.
> 
> btw- Some vendors may also not be looking forward to sharing these
> characteristics (attenuation, dispersion, etc) openly as would be
> necessary if advertising them through a vendor independent control
> protocol, even if we knew how to express them and knew how to
> accumulate the effects.
> 
> If this is the objection, its worth noting that the objection may not
> apply if OEO is done everywhere (but it may cost more to do that).
> 
> Someone (John in particular, Chip, Sergio also) please correct me if
> I'm wrong about my assumption.  If so, I appologize for incorrectly
> reading between the lines of your message(s).  If I'm not wrong, then
> perhaps this clarifies the objections.
> 
> Curtis

---

From: Yakov Rekhter <[email-masked]>
Date: Thu, 16 Mar 2000 12:46:36 -0800

Sergio,

> model (like it happened in the IP over ATM case).

I agree with your suggestion that we should focus first on adapting/enhancing
MPLS Traffic Engineering protocol machinery to handle OXCs. I think
different customers may chose different models - the machinery should
be able to support a wide range of choices from pure peer to pure overlay.

Yakov.